Loading...
Searching...
No Matches
IBoneSceneNode.h File Reference
`#include "ISceneNode.h"`

Go to the source code of this file.

## Classes

class | irr::scene::IBoneSceneNode
| Interface for bones used for skeletal animation. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::scene
| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

enum | irr::scene::E_BONE_ANIMATION_MODE { irr::scene::EBAM_AUTOMATIC =0 , irr::scene::EBAM_ANIMATED , irr::scene::EBAM_UNANIMATED , irr::scene::EBAM_COUNT }
| Enumeration for different bone animation modes. More...
enum | irr::scene::E_BONE_SKINNING_SPACE { irr::scene::EBSS_LOCAL =0 , irr::scene::EBSS_GLOBAL , irr::scene::EBSS_COUNT }

## Variables

const c8 *const | irr::scene::BoneAnimationModeNames []
| Names for bone animation modes.

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0